apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend-app
spec:
  selector:
    matchLabels:
      app: frontend-app
  replicas: 3
  template:
    metadata:
      labels:
        app: frontend-app
    spec:
      containers:
      - name: frontend-app
        image: ghcr.io/flashnodes/fn-frontend-app:master-1f9d964
        ports:
        - containerPort: 80
      imagePullSecrets:
      - name: common-registry-creds
---
apiVersion: v1
kind: Service
metadata:
  name: frontend-app
  labels:
    app: frontend-app
    service: frontend-app
spec:
  ports:
  - port: 80
    name: frontend-app
  selector:
    app: frontend-app
  externalTrafficPolicy: Local
  type: LoadBalancer
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: fronted-app-ingress
  annotations:
    traefik.ingress.kubernetes.io/router.tls: "true"
    cert-manager.io/cluster-issuer: acme-issuer
spec:
  rules:
    - host: app.flashnodes.io
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: frontend-app
                port:
                  number: 80
  tls:
    - secretName: fn-certs
